# Uses of Class
org.apache.zookeeper.proto.WatcherEvent

Packages that use WatcherEvent
Package
Description
org.apache.zookeeper
org.apache.zookeeper.proto

## Uses of WatcherEvent in org.apache.zookeeper

Methods in org.apache.zookeeper that return WatcherEvent
Modifier and Type
Method
Description
`WatcherEvent`
WatchedEvent.`getWrapper()`
Convert WatchedEvent to type that can be sent over network
Constructors in org.apache.zookeeper with parameters of type WatcherEvent
Modifier
Constructor
Description
``
`WatchedEvent(WatcherEvent eventMessage, long zxid)`
Convert a WatcherEvent sent over the wire into a full-fledged WatchedEvent

## Uses of WatcherEvent in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type WatcherEvent
Modifier and Type
Method
Description
`void`
WatcherEvent.`copyFrom(WatcherEvent from)`